#
# spec file for package python-ec2metadata
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define upstream_name ec2metadata
Name:           python-ec2metadata
Version:        1.5.4
Release:        6.1
Summary:        Collect instance metadata in EC2
License:        GPL-3.0+
Group:          System/Management
Url:            https://github.com/SUSE/Enceladus
Source0:        %{upstream_name}-%{version}.tar.bz2
Requires:       python
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Collect instance meta data in Amazon Compute CLoud instances

%prep
%setup -q -n %{upstream_name}-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.md LICENSE
%dir %{python_sitelib}/%{upstream_name}
%dir %{python_sitelib}/%{upstream_name}-%{version}-py%{py_ver}.egg-info
%{_bindir}/*
%{python_sitelib}/%{upstream_name}/*
%{python_sitelib}/*egg-info/*

%changelog
* Wed Aug 17 2016 jgleissner@suse.com
- Bump to version 1.5.4 (bsc#994138 bsc#994139)
  + ec2metadata: do not use proxy
* Tue Mar 31 2015 rjschwei@suse.com
- Bump to version 1.5.3 (bnc#924626)
  + Properly write metadata to file if no query argument is provided
  + Properly generate XML for 'public-keys' query option
  + Document the 'api' option in the help message
  + Alpha sort the options displayed with the help message
* Wed Aug 13 2014 rschweikert@suse.com
- Bump to version 1.5.2
  + fix the no argument use case
* Mon Jun 23 2014 rschweikert@suse.com
- Switch the upstream URL to the forked project, origin project
  appears not to be maintained
* Fri May 30 2014 rschweikert@suse.com
- Include in SLE 12 (FATE #315990)
* Fri May 30 2014 rschweikert@suse.com
- Initial build
